#if !defined(AFX_SETUPVISIBLECOLUMNSPAGE_H__F027CD79_BC0A_49DC_93A5_D0404F20EF24__INCLUDED_)
#define AFX_SETUPVISIBLECOLUMNSPAGE_H__F027CD79_BC0A_49DC_93A5_D0404F20EF24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupvisiblecolumnsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetupvisiblecolumnsPage dialog
#include "resource.h"
#include "ReportDict.h"

class CSetupvisiblecolumnsPage : public CaplTranslateDialog
{
// Construction
public:
	bool GetVisibleHeader(CHeader* pHeader);
	bool TestUpdate();
	bool UpdateLists();
	CHeader* m_pHeader;
	CSetupvisiblecolumnsPage(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupvisiblecolumnsPage)
	enum { IDD = IDD_SETUP_VISIBLE_COLUMNS_PAGE };
	CaplButton	m_delall_btn;
	CaplButton	m_addall_btn;
	CaplButton	m_del_btn;
	CaplButton	m_add_btn;
	CListBox	m_PossibleColumns_ListCtrl;
	CListBox	m_VisibleColumns_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupvisiblecolumnsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetupvisiblecolumnsPage)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDblclkPossibleColumns();
	afx_msg void OnDblclkVisibleColumns();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	afx_msg void OnAddAll();
	afx_msg void OnDelAll();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPVISIBLECOLUMNSPAGE_H__F027CD79_BC0A_49DC_93A5_D0404F20EF24__INCLUDED_)
